Dataset queries
Query a Hubble dataset
Path Parameters
dataset*string
Official Stellar ETL/Hubble table name returned by the dataset catalog.
Match
^[a-z][a-z0-9_]*$Query Parameters
select?string
Comma-separated response columns.
order?string
Comma-separated order columns; prefix a column with - for descending.
limit?integer
Range
1 <= value <= 1000Default
100offset?integer
Range
0 <= valueDefault
0Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/analytics/history_transactions"{ "columns": [ "transaction_hash", "ledger_sequence", "account", "successful" ], "dataset": "history_transactions", "elapsedMilliseconds": 12.5, "limit": 10, "offset": 0, "rows": [ { "transaction_hash": "446670351d9f2af449eda3bfa0e36c3e128e2720443293dd5b585b3bbadeb485", "ledger_sequence": 63490364, "account": "GCX7LOMYJM54CXJPNTDZPMFSTQTQJTR5XR4DKZXLSWJG3R4B7GOADWXZ", "successful": true } ]}